#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 RoyalBlue
#property indicator_color2 Crimson
#property indicator_width1  2
#property indicator_width2  2
#property indicator_maximum 1
#property indicator_minimum 0

extern int    period=12;
extern double mod   =1.2;

double up_buffer[];
double dn_buffer[];
double trend[];

int init() 
{
   IndicatorBuffers(3); 
   SetIndexBuffer(0,up_buffer);  SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,dn_buffer);  SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,trend);
      IndicatorShortName("Gann HiLo");
      return(0);
}
int deinit() {
   return (0);
}
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for (int i=limit; i>=0; i--)
   {
      trend[i]=trend[i+1];
         if (Close[i]>((1.0 + mod / 10000.0)*iMA(Symbol(),0,period,0,MODE_SMA,PRICE_CLOSE,i+1))) trend[i]= 1;
         if (Close[i]<((1.0 - mod / 10000.0)*iMA(Symbol(),0,period,0,MODE_SMA,PRICE_CLOSE,i+1))) trend[i]=-1;
    
         up_buffer[i] = EMPTY_VALUE;
         dn_buffer[i] = EMPTY_VALUE;
         if (trend[i]== 1) up_buffer[i] = 1;
         if (trend[i]==-1) dn_buffer[i] = 1;
  }
  return(0);
}